#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/project/project.rb'
# =========================================================================== #
module Easycompile

  # ========================================================================= #
  # === Easycompile::PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY = 
    File.absolute_path("#{__dir__}/..")+'/'

  # ========================================================================= #
  # === Easycompile::PROJECT_BASE_DIR
  #
  # This is simply an "alias" to the above constant.
  # ========================================================================= #
  PROJECT_BASE_DIR = PROJECT_BASE_DIRECTORY
  
  # ========================================================================= #
  # === Easycompile.project_base_dir?
  # ========================================================================= #
  def self.project_base_dir?
    PROJECT_BASE_DIRECTORY
  end

end