#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/toplevel_methods/copy_file.rb'
# =========================================================================== #
module Easycompile

  require 'fileutils'

  # ========================================================================= #
  # === Easycompile.copy_file
  #
  # The second argument to this method specifies the target-location
  # where the file should be copied onto.
  # ========================================================================= #
  def self.copy_file(
      from, to = Dir.pwd
    )
    FileUtils.cp(from, to)
  end

end