#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/base/change_directory.rb'
# =========================================================================== #
module Easycompile

class Base

  # ========================================================================= #
  # === change_directory                                             (cd tag)
  #
  # Use this method when changing directories.
  # ========================================================================= #
  def change_directory(i)
    if i
      File.expand_path(i) if i.start_with? '.'
      if File.exist?(i)
        Dir.chdir(i)
      else
        show_namespace
        e "Can not change into #{sdir(i)} as it does not exist."
      end
    end
  end; alias cd change_directory # === cd

end; end