#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/base/commandline_arguments.rb'
# =========================================================================== #
module Easycompile 

class Base

  # ========================================================================= #
  # === commandline_arguments?
  # ========================================================================= #
  def commandline_arguments?
    @commandline_arguments
  end

  # ========================================================================= #
  # === set_commandline_arguments
  # ========================================================================= #
  def set_commandline_arguments(i)
    @commandline_arguments = [i].flatten.compact
  end

  # ========================================================================= #
  # === return_all_arguments_with_hyphens
  #
  # This method will select all commandline arguments that begin with
  # two -- hyphens.
  # ========================================================================= #
  def return_all_arguments_with_hyphens
    @commandline_arguments.select {|entry|
      entry.start_with? '--'
    }
  end

end; end