#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Easycompile::Base
#
# This file will handle the installation of gems, which is the
# ruby-addon stuff.
# =========================================================================== #
# require 'easycompile/base/easycompile.rb'
# =========================================================================== #
require 'easycompile/base/change_directory.rb'
require 'easycompile/base/cmake.rb'
require 'easycompile/base/constants.rb'
require 'easycompile/base/initialize.rb'
require 'easycompile/base/gem.rb'
require 'easycompile/base/menu.rb'
require 'easycompile/base/meson_and_ninja.rb'
require 'easycompile/base/misc.rb'
require 'easycompile/base/opn.rb'
require 'easycompile/base/reset.rb'
require 'easycompile/base/run.rb'