#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/base/help.rb'
# =========================================================================== #
module Easycompile

class Base

  # ========================================================================= #
  # === show_help                                                  (help tag)
  # ========================================================================= #
  def show_help(optional_shall_we_exit = false)
    if optional_shall_we_exit == :then_exit
      optional_shall_we_exit = true
    end
    e
    opn_namespace; e 'Documented help options are these here:'
    opn_namespace; e
    opn_namespace; ecomment '  --appdir                   # Compile as Appdir, into '\
                   'its own prefix.'
    opn_namespace; ecomment '  --remove-all-after-compile # Remove '\
                   'the archive after compilation is done.'
    opn_namespace; ecomment '  --with-deps                '\
                   '# Compile with dependencies.'
    opn_namespace; ecomment '  --extract-to=/Depot/opt/  '\
                   '# extract to that particular directory.'
    opn_namespace; ecomment '  --homedir                  # '\
                            'Compile into the home-directory as prefix'
    opn_namespace; e
    exit if optional_shall_we_exit
  end

end; end